import { type Config } from '@pnpm/config';
export declare function rcOptionsTypes(): Record<string, unknown>;
export declare function cliOptionsTypes(): Record<string, unknown>;
export declare const commandNames: string[];
export declare function help(): string;
export type SelfUpdateCommandOptions = Pick<Config, 'cacheDir' | 'dir' | 'lockfileDir' | 'managePackageManagerVersions' | 'modulesDir' | 'pnpmHomeDir' | 'rawConfig' | 'registries' | 'rootProjectManifestDir' | 'wantedPackageManager'>;
export declare function handler(opts: SelfUpdateCommandOptions, params: string[]): Promise<undefined | string>;
